object

# `base32`

Base32 encoder and decoder (RFC 4648).

Availability:
`logtalk_load(base32(loader))`
Author: Paulo Moura
Version: 1:0:2
Date: 2026-07-20
Compilation flags:
`static, context_switching_calls`
Uses:
reader
Remarks:
(none)
Inherited public predicates:
(none)

## Public predicates

### `parse/2`

Parses Base32 data from the given source (`atom(Atom)`, `chars(List)`, `codes(List)`, `stream(Stream)`, or `file(Path)`) into a list of bytes.

Compilation flags:
`static`
Template:
`parse(Source,Bytes)`
Mode and number of proofs:
`parse(++compound,--list(byte))` - `one_or_error`
Exceptions:
`Source` is a variable:
`instantiation_error`
`Source` is neither a variable nor a valid Base32 source term:
`domain_error(base32_source,Source)`

### `generate/2`

Generates Base32 in the representation specified in the first argument (`atom(Atom)`, `chars(List)`, `codes(List)`, `stream(Stream)`, or `file(Path)`) for the list of bytes in the second argument.

Compilation flags:
`static`
Template:
`generate(Sink,Bytes)`
Mode and number of proofs:
`generate(+compound,+list(byte))` - `one_or_error`
Exceptions:
`Sink` is a variable:
`instantiation_error`
`Sink` is neither a variable nor a valid Base32 sink term:
`domain_error(base32_sink,Sink)`

## Protected predicates

(no local declarations; see entity ancestors if any)

## Private predicates

(no local declarations; see entity ancestors if any)

## Operators

(none)